Name:           python-pyrax
Version:        1.9.7
Release:        1%{?dist}
Summary:        Python language bindings for OpenStack Clouds


License:        ASL 2.0
Source0:        https://pypi.python.org/packages/source/p/pyrax/pyrax-%{version}.tar.gz
Patch0:         get_client_class.patch
URL:            https://github.com/rackspace/pyrax

# Earlier upstream RPMs had the name pyrax - provide this for compatibility
Provides:       pyrax = %{version}
BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python-mock
BuildRequires:  python2-devel
Requires:       python-novaclient
Requires:       python-keyring


%description
A library for working with most OpenStack-based cloud deployments, though it
originally targeted the Rackspace public cloud. For example, the code for
cloudfiles contains the ability to publish your content on Rackspace's CDN
network, even though CDN support is not part of OpenStack Swift. But if you
don't use any of the CDN-related code, your app will work fine on any
standard Swift deployment.

%prep
%setup -q -n pyrax-%{version}
%patch0
%{__sed} -i "s/^#!\/usr\/bin\/env python/#!\/usr\/bin\/python/g" samples/*.py samples/*/*.py

%build
%py2_build

%install
rm -rf $RPM_BUILD_ROOT
%py2_install

%files
%license LICENSE
%doc README.rst samples docs
%{python2_sitelib}/*

%changelog
* Sun Aug 7 2016 Christos Triantafyllidis <christos.triantafyllidis@gmail.com> - 1.9.7-1
- Updated to 1.9.7

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.5-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 27 2015 Christos Triantafyllidis <christos.triantafyllidis@gmail.com> - 1.9.5-2
- Reverted https://github.com/rackspace/pyrax/commit/2901b9c for old versions of novaclient (Fedora 23 or older)
- Removed macros for EPEL 6, dependencies are not available in EPEL

* Sat Nov 7 2015 Christos Triantafyllidis <christos.triantafyllidis@gmail.com> - 1.9.5-1
- Updated to 1.9.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 29 2014 Ian McLeod <imcleod@redhat.com> - 1.9.0-3
- SPEC change to add missing macros for EPEL 6 builds

* Mon Jul 28 2014 Ian McLeod <imcleod@redhat.com> - 1.9.0-2
- Remove obsolete httplib requirement from SPEC file
- Remove #! execution headers for non-executable components [BZ1123044]
- add inline license for slugify() function to satisfy 3-clause BSD requirements from django [BZ1123044]
- misc additional SPEC change to comply with Fedora package guidelines [BZ1123044]

* Thu Jul 24 2014 Ian McLeod <imcleod@redhat.com> - 1.9.0-1
- Pull in upstream 1.9.0 release

* Fri Sep 6 2013 Greg Swift <gregswift@gmail.com> - 1.5.0-1
- Initial spec
